CamelStreamMem
3
CAMEL Library

# CamelStreamMem

## Synopsis

    struct              CamelStreamMem;
    CamelStream*        camel_stream_mem_new                (void);
    CamelStream*        camel_stream_mem_new_with_byte_array
                                                            (GByteArray *buffer);
    CamelStream*        camel_stream_mem_new_with_buffer    (const char *buffer,
                                                             size_t len);
    void                camel_stream_mem_set_secure         (CamelStreamMem *mem);
    void                camel_stream_mem_set_byte_array     (CamelStreamMem *mem,
                                                             GByteArray *buffer);
    void                camel_stream_mem_set_buffer         (CamelStreamMem *mem,
                                                             const char *buffer,
                                                             size_t len);

## Description

## Details

### struct CamelStreamMem

    struct CamelStreamMem {
    	CamelSeekableStream parent_object;

    	unsigned int owner:1;	/* do we own the buffer? */
    	unsigned int secure:1;	/* do we clear the buffer on finalise (if we own it) */
    	GByteArray *buffer;
    };

### camel_stream_mem_new ()

    CamelStream*        camel_stream_mem_new                (void);

Returns :

### camel_stream_mem_new_with_byte_array ()

    CamelStream*        camel_stream_mem_new_with_byte_array
                                                            (GByteArray *buffer);

`buffer` :

Returns :

### camel_stream_mem_new_with_buffer ()

    CamelStream*        camel_stream_mem_new_with_buffer    (const char *buffer,
                                                             size_t len);

`buffer` :

`len` :

Returns :

### camel_stream_mem_set_secure ()

    void                camel_stream_mem_set_secure         (CamelStreamMem *mem);

`mem` :

### camel_stream_mem_set_byte_array ()

    void                camel_stream_mem_set_byte_array     (CamelStreamMem *mem,
                                                             GByteArray *buffer);

`mem` :

`buffer` :

### camel_stream_mem_set_buffer ()

    void                camel_stream_mem_set_buffer         (CamelStreamMem *mem,
                                                             const char *buffer,
                                                             size_t len);

`mem` :

`buffer` :

`len` :